#pragma once

#include "Wima/Geometry/WimaAreaData.h"

class SnakeTile : public WimaAreaData {
  Q_OBJECT
public:
  SnakeTile(QObject *parent = nullptr);
  SnakeTile(const SnakeTile &other, QObject *parent = nullptr);
  ~SnakeTile();

  virtual QString mapVisualQML() const override;

  QString type() const override;
  SnakeTile *Clone() const;

  SnakeTile &operator=(const SnakeTile &other);

protected:
  void assign(const SnakeTile &other);
};
